## cairo-dock-plug-ins 3.0.0.0rc1

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "3.0.0.0rc1")

add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir  # /usr/lib/cairo-dock # or /usr/lib/x86_64-linux-gnu/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # remove the \n
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# get prefix dir
execute_process(
    COMMAND pkg-config gldi --variable=prefix  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE prefix)
STRING (REGEX REPLACE "\n" "" prefix ${prefix})
# get GTK version (must be the same as the core, as GTK2 and GTK3 can't coexist at runtime)
execute_process(
    COMMAND pkg-config gldi --variable=gtkversion  # 2 or 3
    OUTPUT_VARIABLE gtkversion)
STRING (REGEX REPLACE "\n" "" gtkversion ${gtkversion})
# check that version matches with the core
execute_process(
    COMMAND pkg-config --modversion gldi  # 2.2.0-3
    OUTPUT_VARIABLE dock_version)
STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
if (NOT "${dock_version}" STREQUAL "${VERSION}")		# Version
	if ("${PACKAGEMENT}" STREQUAL "")
		MESSAGE (FATAL_ERROR "Error : version mismatch with the core : " ${VERSION} <> ${dock_version})
	else ()
		MESSAGE (WARNING "Warning : version mismatch with the core : " ${VERSION} <> ${dock_version})
	endif ()
endif()

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib # or /usr/lib/x86_64-linux-gnu
GET_FILENAME_COMPONENT(datadir "${pluginsdatadir}/../.." ABSOLUTE)  # /usr/share
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" STREQUAL "${libdir}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "${datadir}")
	message (STATUS "It seems that the current CMAKE_INSTALL_{PREFIX,LIBDIR,DATAROOTDIR} flags are not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (gaugesdir "${datadir}/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")

########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependencies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "cairo" "librsvg-2.0" "dbus-1" "dbus-glib-1" "libxml-2.0")
#pkg_check_modules ("PACKAGE" REQUIRED "ig")
pkg_check_modules ("GLDI" REQUIRED "gldi")  # we don't want to link with gldi, so we check it separately.
set (PACKAGE_INCLUDE_DIRS "${GLDI_INCLUDE_DIRS}")

add_definitions (-DGTK_DISABLE_DEPRECATED="1")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# INDICATOR-APPLET #################
message (STATUS "> Indicator-Applet:")
# Note: the names of dbusmenu-glib, dbusmenu-gtk and indicator have changed...
set (DBUSMENU_MODULE dbusmenu-glib-0.4)
pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
if (NOT "${DBUSMENU_FOUND}")
	set (DBUSMENU_MODULE dbusmenu-glib)
	pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
endif()

if ("${gtkversion}" STREQUAL "2")
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk-0.4)
else()
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk3-0.4)
endif()
pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
if (NOT "${DBUSMENU_GTK_FOUND}")
	if ("${gtkversion}" STREQUAL "2")
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk)
	else()
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk3)
	endif()
	pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
endif()

if ("${gtkversion}" STREQUAL "2")
	set (INDICATOR_APPLET_MODULE indicator-0.4)
else()
	set (INDICATOR_APPLET_MODULE indicator3-0.4)
endif()
pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
if ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	set (INDICATOR_APPLICATIONADDED_HAS_HINT 1) # now the ApplicationAdded signal (Status-Notifier) has a new parameter (hint) => https://code.launchpad.net/~ted/indicator-application/name-hints/+merge/67213
	set (INDICATOR_NEW_VERSION 1)  # oneiric and newer
else()
	if ("${gtkversion}" STREQUAL "2")
		set (INDICATOR_APPLET_MODULE indicator)
	else()
		set (INDICATOR_APPLET_MODULE indicator3)
	endif()
	pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	set (INDICATOR_APPLICATIONADDED_HAS_HINT 0)
endif()

if ("${gtkversion}" STREQUAL "2")
	set (IDO_MODULE libido-0.1)
else()
	set (IDO_MODULE libido3-0.1)
endif()
pkg_check_modules (IDO ${IDO_MODULE})

if ("${DBUSMENU_FOUND}" STREQUAL "1" AND "${DBUSMENU_GTK_FOUND}" STREQUAL "1")
	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_MAJOR "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_MINOR "${DBUSMENU_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_MINOR "${DBUSMENU_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_NANO "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_NANO "${DBUSMENU_NANO}")

	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_GTK_MAJOR "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_NANO}")
	
	if (${DBUSMENU_GTK_MAJOR} GREATER 0 OR ${DBUSMENU_GTK_MINOR} GREATER 5
	    OR (${DBUSMENU_GTK_MINOR} EQUAL 5 AND ${DBUSMENU_GTK_NANO} GREATER 89))
		set (DBUSMENU_GTK3_NEW 1)
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 1) # Status-Notifier: new parameter "Title" in the "added" signal since Precise
	else()
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 0)
	endif()
endif()

if ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	STRING (REGEX REPLACE "\\..*" "" INDICATOR_MAJOR "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" INDICATOR_MINOR "${INDICATOR_APPLET_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" INDICATOR_MINOR "${INDICATOR_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" INDICATOR_NANO "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "-.*" "" INDICATOR_NANO "${INDICATOR_NANO}")
	
	if (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 4
	    OR (${INDICATOR_MINOR} EQUAL 4 AND ${INDICATOR_NANO} GREATER 89))
		set (SOUND_SERVICE_VERSION 1) # Sound-Menu: new DBus path
	else() # older than Precise.
		set (SOUND_SERVICE_VERSION 0)
	endif()

	if ("${INDICATOR_NEW_VERSION}" STREQUAL "1")  # oneiric and newer
		if ("${gtkversion}" STREQUAL "2")
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		endif()
	else()
		if ("${gtkversion}" STREQUAL "2")
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3
				OUTPUT_VARIABLE INDICATORICONSDIR)
		endif()
	endif()
	STRING (REGEX REPLACE "\n" "" INDICATORICONSDIR ${INDICATORICONSDIR})  # la commande rajoute un retour chariot ...
	add_subdirectory (Indicator-applet)
	set (with_indicator "yes")
endif()

if (NOT "${DBUSMENU_FOUND}" STREQUAL "1" OR NOT "${DBUSMENU_GTK_FOUND}" STREQUAL "1" OR NOT "${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	message (WARNING "These modules are required to compile Indicators applet (MeMenu, Messaging-Menu, Sound-Control, Status-Notifier and Global-Menu): ${INDICATOR_APPLET_MODULE}(-0.4), ${IDO_MODULE}, ${DBUSMENU_MODULE}(-0.4), ${DBUSMENU_GTK_MODULE}(-0.4)")
	set (MODULES_MISSING "${MODULES_MISSING} ${INDICATOR_APPLET_MODULE}(-0.4) (${IDO_MODULE}) ${DBUSMENU_MODULE}(-0.4) ${DBUSMENU_GTK_MODULE}(-0.4)")
endif()

############# INDICATOR-NAME #################
message (STATUS "> Indicator Names:")
set (INDICATOR_OLD_NAMES 0)
if ("${force_old_indicator_names}" STREQUAL "yes")
	set (INDICATOR_OLD_NAMES 1)
	message (STATUS "  Indicators: use old Ayatana Dbus names (forced)")
#~ elseif ("${DISTRO_ID}" STREQUAL "Ubuntu")
	#~ STRING (REGEX REPLACE "\\..*" "" DISTRO_RELEASE_MAJOR ${DISTRO_RELEASE})
	#~ # message (STATUS "DISTRO_RELEASE_MAJOR: ${DISTRO_RELEASE_MAJOR}")
	#~ if (${DISTRO_RELEASE_MAJOR} LESS 11)  # from 11.04, new names are used.
		#~ set (INDICATOR_OLD_NAMES 1)
		#~ message (STATUS "  Indicators: use old Ayatana Dbus names")
	#~ endif()
elseif ("${INDICATOR_APPLET_FOUND}" STREQUAL "1" AND NOT (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 3 OR (${INDICATOR_MINOR} EQUAL 3 AND ${INDICATOR_NANO} GREATER 20)))
	set (INDICATOR_OLD_NAMES 1)  # maverick or older
	message (STATUS "  Indicators: use old Ayatana Dbus names")
endif()

############# DISTRIBUTION #################
message (STATUS "> Distribution:")
# We try to detect if the user is on Ubuntu to know which bus we have to use...
execute_process(
	COMMAND lsb_release -i
	OUTPUT_VARIABLE DISTRO_ID)  # -> "Distributor ID:	Ubuntu"
if (NOT "${DISTRO_ID}" STREQUAL "") # this tool isn't available on all distributions
	STRING (REGEX REPLACE "\n" "" DISTRO_ID ${DISTRO_ID})  # retour chariot
	STRING (REGEX REPLACE ".*: *\t*" "" DISTRO_ID ${DISTRO_ID})

	execute_process(

=== Messaging-Menu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-messaging.c 			applet-messaging.h
	applet-menu.c 				applet-menu.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_MESSAGING_MENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${messaging_menudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Messaging-Menu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Messaging-Menu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (DBUSMENU_GTK3_NEW)
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

target_link_libraries (${PACKAGE_MESSAGING_MENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	indicator-applet)
########### install files ###############

install(TARGETS ${PACKAGE_MESSAGING_MENU} DESTINATION ${pluginsdir})

=== debian/changelog ===
cairo-dock-plug-ins (3.0.0.0rc1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #961579)
  * Upstream ChangeLog: (main changes)
   - Updated translations
   - MusicPlayer:
    + When choosing the player the first time, launch it and set the name
    + It seems the latest stable version of rhythmbox now re-uses this DBus
       address: org.mpris.MediaPlayer2.rhythmbox
   - Use the default bg color for always visible icons
   - GMenu: check if kde4-applications.menu and lxde-applications.menu
      are available
   - Dbus:
    + Bash interface: fixed a typo
    + Changed the third-party applets dir on the server for the 3.0
    + Enabling threads on the Python Interface
    + Modified the old SetEmblem method to use the new overlays
   - Enable GVFS if detected
   - Indicators: handle the case where the service crashes
   - Status-Notifier:
    + Indicator 0.4.90 (and newer) has a new variable (Title)
    + Display Label first if it's available instead of Title first
    + Fixed a bug with empty labels
    + KDE's watcher: if ItemIsMenu is true (e.g. Klipper) and if we only show
       the menu on left click, we emit a signal to the application to show
       its own menu
    + checked if the menu path is different that '/NO_DBUSMENU'
    + IAS: checked if an item is not already available in the systray
       (workaround) and fixed a few typos
    + Added a space between icons and fixed the wrong drawing of the icon
       on a vertical dock if the icon can be resized
    + Used cairo_dock_add_path_to_icon_theme
   - Sound control:
    + Fixed a small bug on reload (invisible icon)
    + Updated the Dbus names to match with Ubuntu 12.04
    + Backported the latest version of Ubuntu's indicator-sound into the
       Sound-Control applet
    + Make some items in the menu invisible if not available
    + Worked around a bug in libindicator, which keeps internally
       the service pointer
   - Logout:
    + Fixed a tiny memory leak
    + Look for a different icon's size if we want to display this icon in
       a menu/a dock/an emblem
   - PowerManager:
    + Removed an extraseparators in the menu
   - Clock:
    + Used the logical rectangle in order to fix the position of the text
    + Removed unused files
    + Removed useless translations (log.x and log.y = 0)
    + Only used this ratio to limit the deformation with the height
    + Fixed a problem with the ratio if this applet is displayed in
       a vertical dock
   - Remote Control: fixed a crash during the 'click' signal
   - Slider:
    + When reloading, display the changes immediately
    + Added the possibility to refresh the images list from the menu
    + Fixed the loading of the image on startup, when the applet's size is
       not yet stable
    + Code cleaning
   - Fixed an error when compiling without libindicator
   - A few minor changes (comments, factorisation, etc)
   - Recent-Events: if zeitgeist is not yet running on first search,
      try 3 times before giving up.
  * debian/control:
   - Updated the version of cairo-dock-[core;data;dev].

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 21 Mar 2012 21:31:34 +0100

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs,
		libxxf86vm-dev,
		debhelper (>= 8.1.3),
		cmake,
		libcairo2-dev (>= 1.8.0),
		libgtk-3-dev,
		librsvg2-dev (>= 2.22.0),
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libglib2.0-dev (>= 2.20),
		libgl1-mesa-dev | libgl-dev,
		libglu1-mesa-dev | libglu-dev,
		libpango1.0-dev,
		libgldi-dev (>= 3.0.0.0rc1),
		libasound2-dev,
		libvte-2.90-dev,
		x11proto-xf86vidmode-dev,
		libgnome-menu-dev,
		libgnutls-dev,
		libwebkitgtk-3.0-dev,
		libxklavier-dev,
		libexif-dev,
		libcurl4-gnutls-dev,
		libetpan-dev,
		libical-dev,
		libindicator3-dev,
		libdbusmenu-gtk3-dev,
		libdbusmenu-glib-dev,
		libido3-0.1-dev,
		libsensors4-dev,
		libzeitgeist-dev,
		python,
		valac,
		ruby,
		cli-common-dev (>= 0.7),
		mono-devel,
		mono-gmcs,
		libglib2.0-cil-dev,
		libndesk-dbus1.0-cil-dev,
		libndesk-dbus-glib1.0-cil-dev,
		libpulse-dev,
		libupower-glib-dev
Standards-Version: 3.9.2
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-core (>= 3.0.0.0rc1),
		${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests:	gvfs
Multi-Arch: same
Description: Plug-ins for Cairo-Dock for a better integration in GNOME, KDE and Xfce
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains plug-ins for a better integration in GNOME, KDE and Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-core (>= 3.0.0.0rc1),
		curl,
		wget,
		${shlibs:Depends},
		${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends:	cairo-dock-plug-ins-integration (>= ${source:Version}),
		cairo-dock-plug-ins-dbus-interface-python (>= ${source:Version})
Suggests:	compiz,
		gnote,
		indicator-messages,
		indicator-sound,
		cairo-dock-plug-ins-dbus-interface-ruby (>= ${source:Version}),
		cairo-dock-plug-ins-dbus-interface-vala (>= ${source:Version}),
		cairo-dock-plug-ins-dbus-interface-mono (>= ${source:Version})
Multi-Arch: same
Description: Set of plug-ins for Cairo-Dock
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for
 cairo-dock-plug-ins.

Package: cairo-dock-plug-ins-dbus-interface-python
Section: graphics
Architecture: all
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		python,
		${misc:Depends}
Description: Python interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Python interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-vala
Section: graphics
Architecture: any
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0),
			cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0),
			cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		${shlibs:Depends},
		${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests:	valac
Multi-Arch: same
Description: Vala interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Vala interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-ruby
Section: graphics
Architecture: any
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		ruby,
		${misc:Depends}
Description: Ruby interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Ruby interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-mono
Section: graphics
Architecture: any
Replaces:	cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks:		cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: 	cairo-dock-plug-ins (>= ${source:Version}),
		${cli:Depends},
		${misc:Depends}
Description: Mono interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Mono interface for the DBus plug-in.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable-gnome-integration=yes \
	-Denable-old-gnome-integration=no \
	-Denable-kde-integration=yes \
	-Denable-xfce-integration=yes \
	-Denable-global-menu=yes \
	-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
	-DROOT_PREFIX=$(CURDIR)/debian/tmp \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog

common-binary-predeb-arch::
	dh_clifixperms
	dh_clideps -d

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack

## cairo-dock-plug-ins 3.0.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock-plugins")
-set (VERSION "3.0.0.0rc1")
+set (VERSION "3.0.0")
 
 add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
 if (NOT ${CMAKE_BUILD_TYPE})
@@ -210,8 +210,10 @@
 	if (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 4
 	    OR (${INDICATOR_MINOR} EQUAL 4 AND ${INDICATOR_NANO} GREATER 89))
 		set (SOUND_SERVICE_VERSION 1) # Sound-Menu: new DBus path
+		set (INDICATOR_MESSAGES_HAS_LOZENGE 1)   # Messaging Menu has 'right-is-lozenge'
 	else() # older than Precise.
 		set (SOUND_SERVICE_VERSION 0)
+		set (INDICATOR_MESSAGES_HAS_LOZENGE 0)
 	endif()
 
 	if ("${INDICATOR_NEW_VERSION}" STREQUAL "1")  # oneiric and newer
@@ -270,7 +272,3 @@
 	COMMAND lsb_release -i
 	OUTPUT_VARIABLE DISTRO_ID)  # -> "Distributor ID:	Ubuntu"
 if (NOT "${DISTRO_ID}" STREQUAL "") # this tool isn't available on all distributions
-	STRING (REGEX REPLACE "\n" "" DISTRO_ID ${DISTRO_ID})  # retour chariot
-	STRING (REGEX REPLACE ".*: *\t*" "" DISTRO_ID ${DISTRO_ID})
-
-	execute_process(

=== Indicator-applet/CMakeLists.txt ===

SET(impl_SRCS
	indicator-applet.c			indicator-applet.h
)

add_library(indicator-applet STATIC ${impl_SRCS})

# Needed for amd64 architecture
add_definitions (-fPIC)
add_definitions (-DINDICATOR_ICONS_DIR="${INDICATORICONSDIR}")
if (DBUSMENU_GTK3_NEW)
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS})

########### install files ###############

=== gvfs-integration/CMakeLists.txt ===

SET(impl_SRCS
	cairo-dock-gio-vfs.c				cairo-dock-gio-vfs.h
)

if (${LIBGIO_FOUND})
	add_definitions (-DHAVE_LIBGIO="1")
	add_definitions (-fPIC)
endif()

add_library(gvfs-integration STATIC ${impl_SRCS})

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${LIBGIO_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${LIBGIO_INCLUDE_DIRS})

########### install files ###############

=== po/CMakeLists.txt ===

find_program (MSGFMT_EXECUTABLE msgfmt)

#on cree une nouvelle cible i18n liee a la cible "all".
add_custom_target (i18n ALL COMMENT “Building i18n messages.”)

# on liste tous les .po
file (GLOB PO_FILES *.po)

# on parcours cette liste.
foreach (PO_INPUT ${PO_FILES})
	get_filename_component (PO_INPUT_BASE ${PO_INPUT} NAME_WE)  # NAME Without Extension.
	if (NOT "${PO_INPUT_BASE}" STREQUAL "en_GB") # en_GB has been created only for LaunchPad translation tool
		set (MO_OUTPUT ${PO_INPUT_BASE}.gmo)  # le nom du fichier en sortie.
		message (STATUS "  Building ${MO_OUTPUT}...")
		add_custom_command (TARGET i18n COMMAND ${MSGFMT_EXECUTABLE} -o  ${CMAKE_CURRENT_BINARY_DIR}/${MO_OUTPUT} ${PO_INPUT})  # appel a msgfmt.
		install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/${MO_OUTPUT} DESTINATION ${localedir}/${PO_INPUT_BASE}/LC_MESSAGES RENAME ${GETTEXT_PACKAGE}.mo)  # installation du fichier dans le bon repertoire.
	endif ()
endforeach ()

=== Animated-icons/data/CMakeLists.txt ===

########### install files ###############

install(FILES  ${CMAKE_CURRENT_BINARY_DIR}/Animated-icons.conf
	preview.jpg
	icon.svg
	texture-chrome.png
	icon-rotation.png
	spot.png
	halo.png
	ray.png
	icon-wave.png
	DESTINATION ${animated_iconsdatadir})

=== Global-Menu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-app.c 				applet-app.h
	applet-draw.c 				applet-draw.h
)

add_library(${PACKAGE_GLOBAL_MENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${global_menudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Global-Menu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Global-Menu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_GLOBAL_MENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_GLOBAL_MENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (DBUSMENU_GTK3_NEW)
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_GLOBAL_MENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_GLOBAL_MENU} DESTINATION ${pluginsdir})

=== MeMenu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-me.c 			applet-me.h
	applet-menu.c 			applet-menu.h
	about-me-menu-item.c		about-me-menu-item.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_MEMENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${memenudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="MeMenu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="MeMenu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MEMENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MEMENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DDBUSMENU_MAJOR=${DBUSMENU_MAJOR})
add_definitions (-DDBUSMENU_MINOR=${DBUSMENU_MINOR})
add_definitions (-DDBUSMENU_NANO=${DBUSMENU_NANO})
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (DBUSMENU_GTK3_NEW)
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${IDO_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${IDO_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet)

target_link_libraries (${PACKAGE_MEMENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	${IDO_LIBRARIES}
	indicator-applet)

########### install files ###############

install(TARGETS ${PACKAGE_MEMENU} DESTINATION ${pluginsdir})

=== Messaging-Menu/src/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
 add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
 add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
+add_definitions (-DINDICATOR_MESSAGES_HAS_LOZENGE=${INDICATOR_MESSAGES_HAS_LOZENGE})
 ### uncomment the following line to allow multi-instance applet.
 #add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
 ### uncomment the following line to allow extended OpenGL drawing.

=== Recent-Events/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-search.c 			applet-search.h
	applet-dialog.c 			applet-dialog.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_RECENT_EVENTS} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${recent_eventsdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Recent-Events.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Recent-Events")
add_definitions (-DMY_APPLET_VERSION="${VERSION_RECENT_EVENTS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_RECENT_EVENTS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${RECENT_EVENTS_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${RECENT_EVENTS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_RECENT_EVENTS}
	${PACKAGE_LIBRARIES}
	${RECENT_EVENTS_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_RECENT_EVENTS} DESTINATION ${pluginsdir})

=== Status-Notifier/src/CMakeLists.txt ===

########### sources ###############

SET(cd-StatusNotifier_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-host.c 		applet-host.h
	applet-host-kde.c 	applet-host-kde.h
	applet-host-ias.c 	applet-host-ias.h
	applet-item.c 		applet-item.h
	applet-draw.c 		applet-draw.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)

add_library(${PACKAGE_STATUS_NOTIFIER} SHARED ${cd-StatusNotifier_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${status_notifierdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Status-Notifier.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Status-Notifier")
add_definitions (-DMY_APPLET_VERSION="${VERSION_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_STATUS_NOTIFIER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
add_definitions (-DINDICATOR_APPLICATIONADDED_HAS_HINT=${INDICATOR_APPLICATIONADDED_HAS_HINT})
add_definitions (-DINDICATOR_APPLICATIONADDED_HAS_TITLE=${INDICATOR_APPLICATIONADDED_HAS_TITLE})
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")
if (DBUSMENU_GTK3_NEW)
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_STATUS_NOTIFIER}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_STATUS_NOTIFIER} DESTINATION ${pluginsdir})

=== System-Monitor/src/CMakeLists.txt ===

########### sources ###############

SET (cd-System-Monitor_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-cpusage.c 		applet-cpusage.h
	applet-rame.c 		applet-rame.h
	applet-nvidia.c 		applet-nvidia.h
	applet-top.c 		applet-top.h
	applet-monitor.c 		applet-monitor.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)

if ("${SENSORS_FOUND}" STREQUAL "TRUE")
	SET (cd-System-Monitor_SENSORS_SRCS
		applet-sensors.c 		applet-sensors.h)
endif()
add_library (${PACKAGE_SYSTEM_MONITOR} SHARED
		${cd-System-Monitor_LIB_SRCS}
		${cd-System-Monitor_SENSORS_SRCS})
########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${system_monitordatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="System-Monitor.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="System-Monitor")
add_definitions (-DMY_APPLET_VERSION="${VERSION_SYSTEM_MONITOR}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_SYSTEM_MONITOR}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")

if ("${SENSORS_FOUND}" STREQUAL "TRUE")
	add_definitions (-DHAVE_SENSORS="1")
endif()

include_directories (${PACKAGE_INCLUDE_DIRS}
	${SENSORS_INCLUDE_DIR})

link_directories (${PACKAGE_LIBRARY_DIRS}
	${SENSORS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_SYSTEM_MONITOR}
	${PACKAGE_LIBRARIES}
	${SENSORS_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_SYSTEM_MONITOR} DESTINATION ${pluginsdir})

=== alsaMixer/src/CMakeLists.txt ===

########### sources ###############

set (cd-AlsaMixer_LIB_SRCS
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-draw.c 				applet-draw.h
	applet-generic.c 			applet-generic.h
	# alsa backend
	applet-backend-alsamixer.c 	applet-backend-alsamixer.h
	applet-struct.h)

# Sound service backend (optionnal)
if ("${with_soundmenu}" STREQUAL "yes")
	set (cd-AlsaMixer_LIB_SRCS
		${cd-AlsaMixer_LIB_SRCS}
		applet-backend-sound-menu.c applet-backend-sound-menu.h
		applet-menu.c 				applet-menu.h
		volume-widget.c				volume-widget.h
		voip-input-widget.c			voip-input-widget.h
		transport-widget.c			transport-widget.h
		mute-widget.c				mute-widget.h
		metadata-widget.c			metadata-widget.h)
endif()

add_library (${PACKAGE_ALSA_MIXER} SHARED ${cd-AlsaMixer_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${alsa_mixerdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="AlsaMixer.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="AlsaMixer")
add_definitions (-DMY_APPLET_VERSION="${VERSION_ALSA_MIXER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_ALSA_MIXER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
if ("${with_soundmenu}" STREQUAL "yes")
	add_definitions (-DSOUND_SERVICE_SUPPORT="1")
	add_definitions (-DSOUND_SERVICE_VERSION=${SOUND_SERVICE_VERSION})
endif()
if (DBUSMENU_GTK3_NEW)
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()


if ("${with_soundmenu}" STREQUAL "yes")
	include_directories (
		${PACKAGE_INCLUDE_DIRS}
		${ALSA_MIXER_PACKAGE_INCLUDE_DIRS}
		${DBUSMENU_INCLUDE_DIRS}
		${DBUSMENU_GTK_INCLUDE_DIRS}
		${INDICATOR_APPLET_INCLUDE_DIRS}
		${IDO_INCLUDE_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet)

	link_directories (
		${PACKAGE_LIBRARY_DIRS}
		${ALSA_MIXER_PACKAGE_LIBRARY_DIRS}
		${DBUSMENU_LIBRARY_DIRS}
		${DBUSMENU_GTK_LIBRARY_DIRS}
		${INDICATOR_APPLET_LIBRARY_DIRS}
		${IDO_LIBRARY_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet)

	target_link_libraries (${PACKAGE_ALSA_MIXER}
		${PACKAGE_LIBRARIES}
		${ALSA_MIXER_PACKAGE_LIBRARIES}
		${DBUSMENU_LIBRARIES}
		${DBUSMENU_GTK_LIBRARIES}
		${INDICATOR_APPLET_LIBRARIES}
		${IDO_LIBRARIES}
		indicator-applet)
else()
	include_directories (
		${PACKAGE_INCLUDE_DIRS}
		${ALSA_MIXER_PACKAGE_INCLUDE_DIRS})

	link_directories (
		${PACKAGE_LIBRARY_DIRS}
		${ALSA_MIXER_PACKAGE_LIBRARY_DIRS})

	target_link_libraries (${PACKAGE_ALSA_MIXER}
		${PACKAGE_LIBRARIES}
		${ALSA_MIXER_PACKAGE_LIBRARIES})
endif()

########### install files ###############

install(TARGETS ${PACKAGE_ALSA_MIXER} DESTINATION ${pluginsdir})

=== debian/changelog ===
cairo-dock-plug-ins (3.0.0.1-0ubuntu2) precise; urgency=low

  * debian/control:
   - Avoid an upgrade problem if cairo-dock-plug-ins-data is updated before
     cairo-dock-data; This is due to files moving between packages (LP: #984054)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 17 Apr 2012 18:19:20 +0200

cairo-dock-plug-ins (3.0.0.1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #983289)
  * Upstream ChangeLog:
   - Updated translations
   - Moved 'battery' theme from cairo-dock-core to cairo-dock-plug-ins
   - Included here a sound gauge theme for alsaMixer applet from our server in
      order to use the Default-Panel theme without an Internet connexion.
   - Shortcuts: properly initialize the disk structure, to avoid polling non
      writable disks
   - Clipper: fixed a warning when stopping the applet
   - Clock: fixed a small regression: text should be vertically centered
   - dnd2share: Fixed videobin backend and forced curl to follow redirection
   - Clock: numeric: Fixed a typo about the maximum ratio in vertical mode
   - Panel view: fixed the frame drawing (no bottom rounded corners)
   - Messaging-Menu:
    + Some items was not displayed with the latest version of indicator-messages
    + Fixed a few details about the lozenge and the drawing
    + Fixed a tiny memory leak
   - MusicPlayer: Fixed a typo about the detection of the MPRIS2 services for
      handlers with a valid mpris2 string
   - Shortcuts: used a default icon if vfs_backend_get_file_info returns none
      icon name (g_file_info_get_icon seems not able to find an icon for folders
      or drives on KDE)
   - GMenu: checked if alacarte or kmenuedit is available before adding the menu
      entry to launch it (alacarte seems no longer installed by default on new
      distributions with Gnome)
   - PowerManager: if we want to hide the icon, hide it even on desktop when we
      have no information)
   - ShowDesktop: if we can't show the widget layer or present the desktops
      (expo), we now display a warning and use the default action instead of
      doing nothing
   - Switcher: menu: limit windows' title to 50 chars to avoid too larger menus
   - Clipper: Menu entries are now translated
   - Mail: disable the RSS feed for Gmail, as it is not working any more with the
      current GMail authentification system; use IMAP instead
   - Status-Notifier: Removed an unused function
   - stdout: removed a lot of g_print functions (or replaced by cd_debug)
   - Clock: fixed the text drawing: avoid any stretching of the text
  * This 3.0 series (and previous series) also fixes these bugs:
   - "Cairo-dock plugin musicPlayer loads ridiculous covers" (LP: #538569)
   - "Songbird support outdated in musicPlayer" (LP: #538361)
   - "Trash applet detects drag-and-dropped items twice" (LP: #530975)
   - "Lock screen does not work in GNOME 3" (LP: #943533)
   - "Sound volume don't work on the cairo-dock of my computer after a killall
       pulseaudio" (LP: #913101)
   - "Logout Applet needs guest session menu" (LP: #757193)
   - "Trash not emptied with folders from other partitions" (LP: #686564)
   - "Incorrect down/up speeds in Netspeed" (LP: #672452)
   - "the desklet 'meteo' gone freeze, and if i try to change localization crashes
       all cairo, that became black" (LP: #671261)
   - "Clipper action failed on other WM than kde gnome xfce" (LP: #664089)
   - "Crashed when trying to remove Doncky deskapplet" (LP: #656611)
   - "Issues with the rendering of the Switcher applet" (LP: #606304)
   - "Shortcuts plugin brings dock to the front if new usb drive is pluged in
       and dock stays infront of all windows after that" (LP: #569598)
   - "Dustbin applet does not display trash on all volumes" (LP: #483963)
  * debian/control:
   - Bump Standards-Version
   - Updated the version of libgldi-dev (build-dep) and cairo-dock-core.
  * debian/rules:
   - Removed -Denable-global-menu=yes
      (Global Menu applet is not considered as a stable and usable applet)
  * debian/cairo-dock-plug-ins.install
   - Removed 'appmenu-registrar' (Global Menu applet is no longer compiled)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 17 Apr 2012 15:04:21 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 		libgl1-mesa-dev | libgl-dev,
 		libglu1-mesa-dev | libglu-dev,
 		libpango1.0-dev,
-		libgldi-dev (>= 3.0.0.0rc1),
+		libgldi-dev (>= 3.0.0.1),
 		libasound2-dev,
 		libvte-2.90-dev,
 		x11proto-xf86vidmode-dev,
@@ -46,7 +46,7 @@
 		libndesk-dbus-glib1.0-cil-dev,
 		libpulse-dev,
 		libupower-glib-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.glx-dock.org/
 
 Package: cairo-dock-plug-ins-integration
@@ -55,7 +55,7 @@
 Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
 Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
 Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
-		cairo-dock-core (>= 3.0.0.0rc1),
+		cairo-dock-core (>= 3.0.0.1),
 		${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests:	gvfs
@@ -72,7 +72,7 @@
 Architecture: any
 Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
 Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
-		cairo-dock-core (>= 3.0.0.0rc1),
+		cairo-dock-core (>= 3.0.0.1),
 		curl,
 		wget,
 		${shlibs:Depends},
@@ -97,7 +97,9 @@
 Section: graphics
 Architecture: all
 Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
-Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
+Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0),
+		cairo-dock-data (<< 3.0.0.1)
+Breaks: 	cairo-dock-data (<< 3.0.0.1)
 Depends: 	${misc:Depends}
 Description: Common files for cairo-dock-plug-ins
  Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
